查询命名空间列表
控制面接口,使用控制面Endpoint
接口描述
GET /rmh/v1/resources?filter=resource_type%3D%22devtools.ccr.v1.namespace%22
请求参数(Request Parameters)
| 名称 | 类型 | 必须 | 位置 | 默认值 | 约束/取值 | 描述 | | filter | string | 否 | query | - | - | 查询的过滤条件 |
请求示例(Request Example)
curl --request GET 'https://management.cn-sh-04.sensecoreapi.dev/rmh/v1/resources?filter=resource_type%3D%22devtools.ccr.v1.namespace%22' \
-H 'accept: application/json' \
-H 'authorization: Bearer <token>'
响应参数(Response Parameters)
| 字段 | 类型 | 描述 |
|---|---|---|
| resources | array(Namespace) | 命名空间列表 |
| next_page_token | string | 下一页的令牌 |
| total_size | int32 | 命名空间总数 |
响应示例(Response Example)
{
"resources": [
{
"id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"rid": "/subscriptions/{subscription_name}/resourceGroups/{resource_group_name}/zones/{zone}/namespaces/{namespace_name}",
"name": "{namespace_name}",
"display_name": "示例命名空间",
"type": "devtools.ccr.v1.namespace",
"state": "ACTIVE",
"zone": "cn-sh-04z",
"properties": "{\"resources\": {\"access_level\": true, \"billing_items\": {\"capacity\": 500, \"capacity_unit\": \"GB\"}}}",
"sku_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"subscription_name": "{subscription_name}",
"resource_group_name": "{resource_group_name}",
"resource_group_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"resource_group_display_name": "共享资源组",
"resource_group_rid": "/subscriptions/{subscription_name}/resourceGroups/{resource_group_name}",
"creator_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"owner_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"order_info": {
"billing_cycle_number": 12,
"auto_renew": true,
"currency_code": "CNY",
"payment_channel": "PC_UNSPECIFIED",
"note": "",
"order_type": "OT_ORIGINAL",
"order_id": "1dcd2339002100006666240",
"start_time": "2026-07-14T08:59:16Z",
"payment_model": "PM_PREPAID",
"billing_model": "BM_MONTHLY",
"original_id": "",
"end_time": "2027-07-13T15:59:59Z",
"auto_convert_postpaid": false,
"contract_billing_cycle_start_expression": "",
"contract_billing_cycle_end_expression": "",
"contract_billing_cycle_type": "BCT_UNSPECIFIED"
},
"deleted": false,
"create_time": "2026-07-14T08:59:30.004737Z",
"update_time": "2026-07-14T08:59:30.227272Z",
"subscription_display_name": "共享订阅",
"subscription_id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"description": "",
"region": "cn-sh-04",
"related_resources": [],
"subscription_rid": "/subscriptions/{subscription_name}"
}
],
"next_page_token": "",
"total_size": 1
}